## fvwm3 1.0.1

=== bin/FvwmPrompt/Makefile ===
# Makefile.in generated by automake 1.16.2 from Makefile.am.
# bin/FvwmPrompt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/fvwm3
pkgincludedir = $(includedir)/fvwm3
pkglibdir = $(libdir)/fvwm3
pkglibexecdir = $(libexecdir)/fvwm3
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = bin/FvwmPrompt
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing aclocal-1.16
ALL_DOMAINS = fvwm  FvwmScript
ALL_LINGUAS = ar da de fr sv_SE zh_CN ru es
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR_FLAGS = 
AUTOCONF = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing autoconf
AUTOHEADER = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing autoheader
AUTOMAKE = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing automake-1.16
AWK = gawk
Bidi_CFLAGS = 
Bidi_LIBS = -lfribidi
CATALOGS =  ar.gmo da.gmo de.gmo fr.gmo sv_SE.gmo zh_CN.gmo ru.gmo es.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOC_COMMANDS = Asterisk Plus AddButtonStyle AddTitleStyle AddToDecor AddToFunc AddToMenu All AnimatedMove Any Beep BorderStyle Break BugOpts BusyCursor ButtonState ButtonStyle ChangeDecor ChangeMenuStyle CleanupColorsets ClickTime Close ColorLimit ColormapFocus Colorset CopyMenuStyle Current CursorMove CursorStyle DefaultColors DefaultColorset DefaultFont DefaultIcon DefaultLayers Delete Deschedule Desk DesktopConfiguration DesktopName DesktopSize Destroy DestroyDecor DestroyFunc DestroyMenu DestroyMenuStyle DestroyModuleConfig DestroyStyle DestroyWindowStyle Direction Echo EchoFuncDefinition EdgeCommand EdgeLeaveCommand EdgeResistance EdgeScroll EdgeThickness Emulate EscapeFunc EwmhBaseStruts EwmhNumberOfDesktops Exec ExecUseShell FakeClick FakeKeypress FlipFocus Focus FocusStyle Function GlobalOpts GotoDesk GotoDeskAndPage GotoPage HideGeometryWindow HilightColor HilightColorset IconFont Iconify IconPath IgnoreModifiers ImagePath InfoStoreAdd InfoStoreClear InfoStoreRemove KeepRc Key KillModule Layer LocalePath Lower Maximize Menu MenuStyle Module ModuleListenOnly ModulePath ModuleSynchronous ModuleTimeout Mouse Move MoveThreshold MoveToDesk MoveToPage MoveToScreen Next None Nop NoWindow OpaqueMoveSize Pick PipeRead PixmapPath PlaceAgain PointerKey PointerWindow Popup Prev PrintInfo Quit QuitScreen QuitSession Raise RaiseLower Read Refresh RefreshWindow Repeat Resize ResizeMaximize ResizeMove ResizeMoveMaximize RestackTransients Restart SaveQuitSession SaveSession ScanForWindow Schedule Scroll SendToModule SetAnimation SetEnv Silent SnapAttraction SnapGrid State Stick StickAcrossDesks StickAcrossPages Style TearMenuOff Test TestRc ThisWindow Title TitleStyle UnsetEnv UpdateDecor UpdateStyles Wait WarpToWindow WindowFont WindowId WindowList WindowShade WindowShadeAnimate WindowStyle XorPixmap XorValue XSync XSynchronize
DOC_COMMANDS_HTML = Asterisk.html Plus.html AddButtonStyle.html AddTitleStyle.html AddToDecor.html AddToFunc.html AddToMenu.html All.html AnimatedMove.html Any.html Beep.html BorderStyle.html Break.html BugOpts.html BusyCursor.html ButtonState.html ButtonStyle.html ChangeDecor.html ChangeMenuStyle.html CleanupColorsets.html ClickTime.html Close.html ColorLimit.html ColormapFocus.html Colorset.html CopyMenuStyle.html Current.html CursorMove.html CursorStyle.html DefaultColors.html DefaultColorset.html DefaultFont.html DefaultIcon.html DefaultLayers.html Delete.html Deschedule.html Desk.html DesktopConfiguration.html DesktopName.html DesktopSize.html Destroy.html DestroyDecor.html DestroyFunc.html DestroyMenu.html DestroyMenuStyle.html DestroyModuleConfig.html DestroyStyle.html DestroyWindowStyle.html Direction.html Echo.html EchoFuncDefinition.html EdgeCommand.html EdgeLeaveCommand.html EdgeResistance.html EdgeScroll.html EdgeThickness.html Emulate.html EscapeFunc.html EwmhBaseStruts.html EwmhNumberOfDesktops.html Exec.html ExecUseShell.html FakeClick.html FakeKeypress.html FlipFocus.html Focus.html FocusStyle.html Function.html GlobalOpts.html GotoDesk.html GotoDeskAndPage.html GotoPage.html HideGeometryWindow.html HilightColor.html HilightColorset.html IconFont.html Iconify.html IconPath.html IgnoreModifiers.html ImagePath.html InfoStoreAdd.html InfoStoreClear.html InfoStoreRemove.html KeepRc.html Key.html KillModule.html Layer.html LocalePath.html Lower.html Maximize.html Menu.html MenuStyle.html Module.html ModuleListenOnly.html ModulePath.html ModuleSynchronous.html ModuleTimeout.html Mouse.html Move.html MoveThreshold.html MoveToDesk.html MoveToPage.html MoveToScreen.html Next.html None.html Nop.html NoWindow.html OpaqueMoveSize.html Pick.html PipeRead.html PixmapPath.html PlaceAgain.html PointerKey.html PointerWindow.html Popup.html Prev.html PrintInfo.html Quit.html QuitScreen.html QuitSession.html Raise.html RaiseLower.html Read.html Refresh.html RefreshWindow.html Repeat.html Resize.html ResizeMaximize.html ResizeMove.html ResizeMoveMaximize.html RestackTransients.html Restart.html SaveQuitSession.html SaveSession.html ScanForWindow.html Schedule.html Scroll.html SendToModule.html SetAnimation.html SetEnv.html Silent.html SnapAttraction.html SnapGrid.html State.html Stick.html StickAcrossDesks.html StickAcrossPages.html Style.html TearMenuOff.html Test.html TestRc.html ThisWindow.html Title.html TitleStyle.html UnsetEnv.html UpdateDecor.html UpdateStyles.html Wait.html WarpToWindow.html WindowFont.html WindowId.html WindowList.html WindowShade.html WindowShadeAnimate.html WindowStyle.html XorPixmap.html XorValue.html XSync.html XSynchronize.html
DOC_COMMANDS_XML = Asterisk.xml Plus.xml AddButtonStyle.xml AddTitleStyle.xml AddToDecor.xml AddToFunc.xml AddToMenu.xml All.xml AnimatedMove.xml Any.xml Beep.xml BorderStyle.xml Break.xml BugOpts.xml BusyCursor.xml ButtonState.xml ButtonStyle.xml ChangeDecor.xml ChangeMenuStyle.xml CleanupColorsets.xml ClickTime.xml Close.xml ColorLimit.xml ColormapFocus.xml Colorset.xml CopyMenuStyle.xml Current.xml CursorMove.xml CursorStyle.xml DefaultColors.xml DefaultColorset.xml DefaultFont.xml DefaultIcon.xml DefaultLayers.xml Delete.xml Deschedule.xml Desk.xml DesktopConfiguration.xml DesktopName.xml DesktopSize.xml Destroy.xml DestroyDecor.xml DestroyFunc.xml DestroyMenu.xml DestroyMenuStyle.xml DestroyModuleConfig.xml DestroyStyle.xml DestroyWindowStyle.xml Direction.xml Echo.xml EchoFuncDefinition.xml EdgeCommand.xml EdgeLeaveCommand.xml EdgeResistance.xml EdgeScroll.xml EdgeThickness.xml Emulate.xml EscapeFunc.xml EwmhBaseStruts.xml EwmhNumberOfDesktops.xml Exec.xml ExecUseShell.xml FakeClick.xml FakeKeypress.xml FlipFocus.xml Focus.xml FocusStyle.xml Function.xml GlobalOpts.xml GotoDesk.xml GotoDeskAndPage.xml GotoPage.xml HideGeometryWindow.xml HilightColor.xml HilightColorset.xml IconFont.xml Iconify.xml IconPath.xml IgnoreModifiers.xml ImagePath.xml InfoStoreAdd.xml InfoStoreClear.xml InfoStoreRemove.xml KeepRc.xml Key.xml KillModule.xml Layer.xml LocalePath.xml Lower.xml Maximize.xml Menu.xml MenuStyle.xml Module.xml ModuleListenOnly.xml ModulePath.xml ModuleSynchronous.xml ModuleTimeout.xml Mouse.xml Move.xml MoveThreshold.xml MoveToDesk.xml MoveToPage.xml MoveToScreen.xml Next.xml None.xml Nop.xml NoWindow.xml OpaqueMoveSize.xml Pick.xml PipeRead.xml PixmapPath.xml PlaceAgain.xml PointerKey.xml PointerWindow.xml Popup.xml Prev.xml PrintInfo.xml Quit.xml QuitScreen.xml QuitSession.xml Raise.xml RaiseLower.xml Read.xml Refresh.xml RefreshWindow.xml Repeat.xml Resize.xml ResizeMaximize.xml ResizeMove.xml ResizeMoveMaximize.xml RestackTransients.xml Restart.xml SaveQuitSession.xml SaveSession.xml ScanForWindow.xml Schedule.xml Scroll.xml SendToModule.xml SetAnimation.xml SetEnv.xml Silent.xml SnapAttraction.xml SnapGrid.xml State.xml Stick.xml StickAcrossDesks.xml StickAcrossPages.xml Style.xml TearMenuOff.xml Test.xml TestRc.xml ThisWindow.xml Title.xml TitleStyle.xml UnsetEnv.xml UpdateDecor.xml UpdateStyles.xml Wait.xml WarpToWindow.xml WindowFont.xml WindowId.xml WindowList.xml WindowShade.xml WindowShadeAnimate.xml WindowStyle.xml XorPixmap.xml XorValue.xml XSync.xml XSynchronize.xml

=== debian/changelog ===
fvwm3 (1.0.1-0.2~mx19+1) mx; urgency=medium

  * debian/control: also conflict with fvwm-crystal.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 19 Nov 2020 14:50:52 -0800

fvwm3 (1.0.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Nov 2020 14:56:19 -0800

fvwm3 (1.0.1-1~ppa1) groovy; urgency=low

  * new upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Tue, 13 Oct 2020 22:32:17 +0800

fvwm3 (1.0.0-1~ppa1) groovy; urgency=low

  * new release

 -- Xu Zhen <xuzhen@fastmail.com>  Sat, 05 Sep 2020 16:50:24 +0800

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Build-Depends: debhelper (>= 11),
               gawk,
               gettext,
               libbson-dev,
               libevent-dev (>= 2.0),
               libfontconfig1-dev (>= 1.0.1),
               libfribidi-dev (>= 0.19.2),
               libpng-dev (>= 1.2),
               libreadline-dev,
               librplay3-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libstroke0-dev,
               libx11-dev,
               libxcursor-dev,
               libxft-dev (>= 2.0.0),
               libxpm-dev,
               libxrandr-dev (>= 2:1.5),
               libxrender-dev,
               libxt-dev,
               perl (>= 5.004),
               pkg-config (>= 0.9.0),
               python3,
               sed,
               xsltproc
Standards-Version: 4.1.4
Homepage: http://www.fvwm.org/

Package: fvwm3
Architecture: any
Depends: libperl4-corelibs-perl | perl (<< 5.12.3-7),
         lxmenu-data | gnome-menus,
         python3,
         python3-xdg,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libx11-protocol-perl, stalonetray
Conflicts: fvwm, fvwm-crystal
Replaces: fvwm, fvwm-crystal
Provides: x-window-manager
Description: F(?) Virtual Window Manager
 FVWM is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM requires relatively little memory.
 .
 This version includes features like full support of the EWMH
 (Extended Window Manager Hints) specification, internationalization,
 improved window decoration code (no flickering anymore),
 bi-directional asian text support, FreeType font support
 (antialiasing), image rendering, Perl based module library, support
 for PNG images, side titles and much more.
 .
 Fvwm3 is a multiple large virtual desktop window manager, originally (a
 looooong time ago!) derived from twm. Fvwm3 is intended to have a small memory
 footprint but a rich feature set, be extremely customizable and extendible, and
 have a high degree of Motif mwm compatibility.
 .
 Currently, your existing fvwm2 config will work with fvwm3, but over time
 this will change.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	# libexecdir required, otherwise will install to /usr/lib/fvwm/fvwm/.
	dh_auto_configure -- --libexecdir=/usr/lib --enable-htmldoc --enable-mandoc --with-stroke-library --disable-imlibtest

override_dh_installdocs:
	dh_installdocs -X.in -X.am -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

## fvwm3 1.0.2

=== bin/FvwmPrompt/Makefile ===
# Makefile.in generated by automake 1.16.2 from Makefile.am.
# bin/FvwmPrompt/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/fvwm3
pkgincludedir = $(includedir)/fvwm3
pkglibdir = $(libdir)/fvwm3
pkglibexecdir = $(libexecdir)/fvwm3
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = bin/FvwmPrompt
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing aclocal-1.16
ALL_DOMAINS = fvwm  FvwmScript
ALL_LINGUAS = ar da de fr sv_SE zh_CN ru es
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR_FLAGS = 
ASCIIDOC = asciidoctor
AUTOCONF = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing autoconf
AUTOHEADER = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing autoheader
AUTOMAKE = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing automake-1.16
AWK = gawk
Bidi_CFLAGS = 
Bidi_LIBS = -lfribidi
CATALOGS =  ar.gmo da.gmo de.gmo fr.gmo sv_SE.gmo zh_CN.gmo ru.gmo es.gmo
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wno-implicit-int -fno-common -Wno-error=format-security -g -O2 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DUMMYPOFILES =  fvwm.ar.nop FvwmScript.ar.nop fvwm.da.nop FvwmScript.da.nop fvwm.de.nop FvwmScript.de.nop fvwm.fr.nop FvwmScript.fr.nop fvwm.sv_SE.nop FvwmScript.sv_SE.nop fvwm.zh_CN.nop FvwmScript.zh_CN.nop fvwm.ru.nop FvwmScript.ru.nop fvwm.es.nop FvwmScript.es.nop
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FC_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
FC_CONFIG = no
FC_LIBS = -lfontconfig -lfreetype
FRIBIDI_CONFIG = /usr/bin/pkg-config fribidi
FVWMHOMEPAGE = http://fvwm.org/
FVWMLIST = fvwm@fvwm.org
FVWMNAMELONG = F? Virtual Window Manager
FVWMSCRIPT_DOMAIN = FvwmScript
FVWMTASKBAR_DOMAIN = 
FVWMWORKERSLIST = fvwm-workers@fvwm.org
FVWMWORKERSLISTLONG = fvwm workers list <fvwm-workers@fvwm.org>
FVWM_CONFDIR = ${sysconfdir}
FVWM_DATADIR = ${datadir}/fvwm3
FVWM_DOCDIR = ${datadir}
FVWM_DOMAIN = fvwm
FVWM_IMAGEPATH = /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.2
FVWM_PERLLIB = perllib
FVWM_PERLLIBDIR = ${datadir}/fvwm3/perllib
GDK_IMLIB_CFLAGS = 
GDK_IMLIB_LIBS = 
GMOFILES =  fvwm.ar.gmo FvwmScript.ar.gmo fvwm.da.gmo FvwmScript.da.gmo fvwm.de.gmo FvwmScript.de.gmo fvwm.fr.gmo FvwmScript.fr.gmo fvwm.sv_SE.gmo FvwmScript.sv_SE.gmo fvwm.zh_CN.gmo FvwmScript.zh_CN.gmo fvwm.ru.gmo FvwmScript.ru.gmo fvwm.es.gmo FvwmScript.es.gmo
GMSGFMT = /usr/bin/msgfmt
GO = 
GREP = /usr/bin/grep
IMLIBCONF = no
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INST_LINGUAS =  ar da de fr sv_SE zh_CN ru es
ISRELEASED = 
LDFLAGS = 
LIBOBJS = 
LIBS =  -lfontconfig -lfreetype
LN_S = ln -s
LOCALEDIR = ${datadir}/locale
LOCAL_BUGADDR = n6tadam
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing makeinfo
MANPAGE_PREAMBLE = .\" WARNING: This file was automatically generated.  Edit the .in file instead.
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = etc/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
MSGUNIQ = /usr/bin/msguniq
OBJEXT = o
PACKAGE = fvwm3
PACKAGE_BUGREPORT = fvwm-workers@fvwm.org
PACKAGE_NAME = fvwm3
PACKAGE_STRING = fvwm3 1.0.2
PACKAGE_TARNAME = fvwm3
PACKAGE_URL = 
PACKAGE_VERSION = 1.0.2
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POFILES =  fvwm.ar.po FvwmScript.ar.po fvwm.da.po FvwmScript.da.po fvwm.de.po FvwmScript.de.po fvwm.fr.po FvwmScript.fr.po fvwm.sv_SE.po FvwmScript.sv_SE.po fvwm.zh_CN.po FvwmScript.zh_CN.po fvwm.ru.po FvwmScript.ru.po fvwm.es.po FvwmScript.es.po
POSUB = po
PYTHON = /usr/bin/python3
RANLIB = ranlib
RELDATELONG = 20 December 20
RELDATENUM = 20-12-20
RELDATESHORT = 20-Dec-20
REQUIRED_PERL_VERSION = 5.004
REQUIRED_PYTHON_VERSION = 3.0
SED = sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
UPDATEPOFILES =  fvwm.ar.po-update FvwmScript.ar.po-update fvwm.da.po-update FvwmScript.da.po-update fvwm.de.po-update FvwmScript.de.po-update fvwm.fr.po-update FvwmScript.fr.po-update fvwm.sv_SE.po-update FvwmScript.sv_SE.po-update fvwm.zh_CN.po-update FvwmScript.zh_CN.po-update fvwm.ru.po-update FvwmScript.ru.po-update fvwm.es.po-update FvwmScript.es.po-update
USE_NLS = yes
VERSION = 1.0.2
VERSIONINFO = released
XFT_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
XFT_CONFIG = no
XFT_LIBS = -lXft
XGETTEXT = /usr/bin/xgettext
XMKMF = 
XRandR_CFLAGS = 
XRandR_LIBS = -lXrandr
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
Xcursor_CFLAGS = 
Xcursor_LIBS = -lXcursor
Xft_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
Xft_LIBS = -lXft
Xrender_CFLAGS = 
Xrender_LIBS = -lXrender
abs_builddir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
abs_srcdir = /home/n6tadam/projects/fvwm/fvwm3/bin/FvwmPrompt
abs_top_builddir = /home/n6tadam/projects/fvwm/fvwm3
abs_top_srcdir = /home/n6tadam/projects/fvwm/fvwm3
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16
freetype_LIBS = -lfreetype
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
iconv_CFLAGS = 
iconv_LIBS = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/install-sh
intl_CFLAGS = 
intl_LIBS = 
libbson_CFLAGS = -I/usr/include/libbson-1.0
libbson_LIBS = -lbson-1.0
libdir = ${exec_prefix}/lib
libevent_CFLAGS = 
libevent_LIBS = -levent
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
png_CFLAGS = -I/usr/include/libpng16
png_LIBS = -lpng16 -lz
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
readline_CFLAGS = 
readline_LIBS = -lreadline -ltermcap
rsvg_CFLAGS = -pthread -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
with_bidi = yes
with_gdkimlib = no
with_gettext = yes
with_iconv = yes
with_perllib = yes
with_png = yes
with_readline = yes
with_rsvg = yes
with_shape = yes
with_shm = yes
with_sm = yes
with_xcursor = yes
with_xft = yes
with_xpm = yes
with_xrandr = 
with_xrender = yes
xpm_CFLAGS = 
xpm_LIBS = -lXpm
xrandr_CFLAGS = 
xrandr_LIBS = -lXrandr
xt_CFLAGS = 
xt_LIBS = -lXt -lX11
GOCMD = go
GOBUILD = $(GOCMD) build
GOCLEAN = $(GOCMD) clean
BINARY_NAME = FvwmPrompt
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign bin/FvwmPrompt/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign bin/FvwmPrompt/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \

=== debian/changelog ===
fvwm3 (1.0.2-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Jan 2021 11:14:49 -0800

fvwm3 (1.0.2-1~ppa1) groovy; urgency=low

  * new upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Mon, 21 Dec 2020 19:48:37 +0800

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Build-Depends: asciidoctor,
               debhelper (>= 11),
               gawk,
               gettext,
               libbson-dev,
               libevent-dev (>= 2.0),
               libfontconfig1-dev (>= 1.0.1),
               libfribidi-dev (>= 0.19.2),
               libpng-dev (>= 1.2),
               libreadline-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libstroke0-dev,
               libx11-dev,
               libxcursor-dev,
               libxft-dev (>= 2.0.0),
               libxpm-dev,
               libxrandr-dev (>= 2:1.5),
               libxrender-dev,
               libxt-dev,
               perl (>= 5.004),
               pkg-config (>= 0.9.0),
               python3,
               sed
Standards-Version: 4.1.4
Homepage: http://www.fvwm.org/

Package: fvwm3
Architecture: any
Depends: libperl4-corelibs-perl | perl (<< 5.12.3-7),
         ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data | gnome-menus, python3, python3-xdg
Suggests: libx11-protocol-perl, stalonetray
Conflicts: fvwm
Replaces: fvwm
Provides: x-window-manager
Description: F(?) Virtual Window Manager
 FVWM is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM requires relatively little memory.
 .
 This "3~" version includes new features like full support of the EWMH
 (Extended Window Manager Hints) specification, internationalization,
 improved window decoration code (no flickering anymore),
 bi-directional asian text support, FreeType font support
 (antialiasing), image rendering, Perl based module library, support
 for PNG images, side titles and much more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	# libexecdir required, otherwise will install to /usr/lib/fvwm/fvwm/.
	dh_auto_configure -- --libexecdir=/usr/lib  \
	                     --enable-mandoc\
	                     --with-stroke-library\
	                     --disable-imlibtest

override_dh_installdocs:
	dh_installdocs -X.in -X.am -XMakefile

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/fvwmorg/fvwm3/releases \
 /fvwmorg/fvwm3/releases/download/\S+/fvwm-(\d\S+)\.tar\.gz

## fvwm3 1.0.4

=== bin/FvwmPrompt/Makefile ===
--- 
+++ 
@@ -147,12 +147,12 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
 FC_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
 FC_CONFIG = no
-FC_LIBS = -lfontconfig -lfreetype
-FRIBIDI_CONFIG = /usr/bin/pkg-config fribidi
+FC_LIBS = -L/usr/lib64 -lfontconfig -lfreetype
+FRIBIDI_CONFIG = /bin/pkg-config fribidi
 FVWMHOMEPAGE = http://fvwm.org/
 FVWMLIST = fvwm@fvwm.org
 FVWMNAMELONG = F? Virtual Window Manager
@@ -165,17 +165,17 @@
 FVWM_DOCDIR = ${datadir}
 FVWM_DOMAIN = fvwm
 FVWM_IMAGEPATH = /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
-FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.2
+FVWM_MODULEDIR = ${libexecdir}/fvwm3/1.0.4
 FVWM_PERLLIB = perllib
 FVWM_PERLLIBDIR = ${datadir}/fvwm3/perllib
 GDK_IMLIB_CFLAGS = 
 GDK_IMLIB_LIBS = 
 GMOFILES =  fvwm.ar.gmo FvwmScript.ar.gmo fvwm.da.gmo FvwmScript.da.gmo fvwm.de.gmo FvwmScript.de.gmo fvwm.fr.gmo FvwmScript.fr.gmo fvwm.sv_SE.gmo FvwmScript.sv_SE.gmo fvwm.zh_CN.gmo FvwmScript.zh_CN.gmo fvwm.ru.gmo FvwmScript.ru.gmo fvwm.es.gmo FvwmScript.es.gmo
-GMSGFMT = /usr/bin/msgfmt
+GMSGFMT = /bin/msgfmt
 GO = 
-GREP = /usr/bin/grep
+GREP = /bin/grep
 IMLIBCONF = no
-INSTALL = /usr/bin/install -c
+INSTALL = /bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -184,52 +184,51 @@
 ISRELEASED = 
 LDFLAGS = 
 LIBOBJS = 
-LIBS =  -lfontconfig -lfreetype
+LIBS =  -L/usr/lib64 -lfontconfig -lfreetype
 LN_S = ln -s
-LOCALEDIR = ${datadir}/locale
-LOCAL_BUGADDR = n6tadam
+LOCALEDIR = ${datadir}/fvwm3/locale
 LTLIBOBJS = 
 MAKEINFO = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/missing makeinfo
 MANPAGE_PREAMBLE = .\" WARNING: This file was automatically generated.  Edit the .in file instead.
-MKDIR_P = /usr/bin/mkdir -p
+MKDIR_P = /bin/mkdir -p
 MKINSTALLDIRS = etc/mkinstalldirs
-MSGFMT = /usr/bin/msgfmt
-MSGMERGE = /usr/bin/msgmerge
-MSGUNIQ = /usr/bin/msguniq
+MSGFMT = /bin/msgfmt
+MSGMERGE = /bin/msgmerge
+MSGUNIQ = /bin/msguniq
 OBJEXT = o
 PACKAGE = fvwm3
 PACKAGE_BUGREPORT = fvwm-workers@fvwm.org
 PACKAGE_NAME = fvwm3
-PACKAGE_STRING = fvwm3 1.0.2
+PACKAGE_STRING = fvwm3 1.0.4
 PACKAGE_TARNAME = fvwm3
 PACKAGE_URL = 
-PACKAGE_VERSION = 1.0.2
+PACKAGE_VERSION = 1.0.4
 PATH_SEPARATOR = :
-PERL = /usr/bin/perl
-PKG_CONFIG = /usr/bin/pkg-config
+PERL = /bin/perl
+PKG_CONFIG = /bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 POFILES =  fvwm.ar.po FvwmScript.ar.po fvwm.da.po FvwmScript.da.po fvwm.de.po FvwmScript.de.po fvwm.fr.po FvwmScript.fr.po fvwm.sv_SE.po FvwmScript.sv_SE.po fvwm.zh_CN.po FvwmScript.zh_CN.po fvwm.ru.po FvwmScript.ru.po fvwm.es.po FvwmScript.es.po
 POSUB = po
-PYTHON = /usr/bin/python3
+PYTHON = /bin/python3
 RANLIB = ranlib
-RELDATELONG = 20 December 20
-RELDATENUM = 20-12-20
-RELDATESHORT = 20-Dec-20
+RELDATELONG = 17 July 21
+RELDATENUM = 21-07-17
+RELDATESHORT = 17-Jul-21
 REQUIRED_PERL_VERSION = 5.004
 REQUIRED_PYTHON_VERSION = 3.0
 SED = sed
 SET_MAKE = 
-SHELL = /bin/bash
+SHELL = /bin/sh
 STRIP = 
 UPDATEPOFILES =  fvwm.ar.po-update FvwmScript.ar.po-update fvwm.da.po-update FvwmScript.da.po-update fvwm.de.po-update FvwmScript.de.po-update fvwm.fr.po-update FvwmScript.fr.po-update fvwm.sv_SE.po-update FvwmScript.sv_SE.po-update fvwm.zh_CN.po-update FvwmScript.zh_CN.po-update fvwm.ru.po-update FvwmScript.ru.po-update fvwm.es.po-update FvwmScript.es.po-update
 USE_NLS = yes
-VERSION = 1.0.2
+VERSION = 1.0.4
 VERSIONINFO = released
 XFT_CFLAGS = -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
 XFT_CONFIG = no
 XFT_LIBS = -lXft
-XGETTEXT = /usr/bin/xgettext
+XGETTEXT = /bin/xgettext
 XMKMF = 
 XRandR_CFLAGS = 
 XRandR_LIBS = -lXrandr
@@ -266,7 +265,7 @@
 dvidir = ${docdir}
 exec_prefix = ${prefix}
 freetype_CFLAGS = -I/usr/include/freetype2 -I/usr/include/libpng16
-freetype_LIBS = -lfreetype
+freetype_LIBS = -L/usr/lib64 -lfreetype
 host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
@@ -280,11 +279,9 @@
 install_sh = ${SHELL} /home/n6tadam/projects/fvwm/fvwm3/etc/install-sh
 intl_CFLAGS = 
 intl_LIBS = 
-libbson_CFLAGS = -I/usr/include/libbson-1.0
-libbson_LIBS = -lbson-1.0
 libdir = ${exec_prefix}/lib
 libevent_CFLAGS = 
-libevent_LIBS = -levent
+libevent_LIBS = -L/usr/lib64 -levent
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
@@ -298,10 +295,9 @@
 program_transform_name = s,x,x,
 psdir = ${docdir}
 readline_CFLAGS = 
-readline_LIBS = -lreadline -ltermcap
-rsvg_CFLAGS = -pthread -I/usr/include/librsvg-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/libpng16
-rsvg_LIBS = -lrsvg-2 -lm -lgio-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0 -lcairo
-runstatedir = ${localstatedir}/run
+readline_LIBS = -lreadline -lncurses
+rsvg_CFLAGS = 
+rsvg_LIBS = 
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -317,7 +313,7 @@
 with_perllib = yes
 with_png = yes
 with_readline = yes
-with_rsvg = yes
+with_rsvg = no
 with_shape = yes
 with_shm = yes
 with_sm = yes
@@ -331,7 +327,7 @@
 xrandr_CFLAGS = 
 xrandr_LIBS = -lXrandr
 xt_CFLAGS = 
-xt_LIBS = -lXt -lX11
+xt_LIBS = -L/usr/lib64 -lXt -lX11
 GOCMD = go
 GOBUILD = $(GOCMD) build
 GOCLEAN = $(GOCMD) clean
@@ -357,3 +353,22 @@
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+tags TAGS:
+
+ctags CTAGS:
+
+cscope cscopelist:
+
+
+distdir: $(BUILT_SOURCES)

=== debian/changelog ===
fvwm3 (1.0.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Apr 2022 14:40:31 -0700

fvwm3 (1.0.4-1~ppa1) impish; urgency=low

  * new upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Sun, 18 Jul 2021 10:08:11 +0800

fvwm3 (1.0.3-1~ppa2) hirsute; urgency=low

  * new upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Mon, 31 May 2021 19:45:38 +0800

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Build-Depends: asciidoctor,
               debhelper (>= 11.0.0),
               gawk,
               gettext,
               libevent-dev (>= 2.0),
               libfontconfig1-dev (>= 1.0.1),
               libfribidi-dev (>= 0.19.2),
               libncurses5-dev,
               libpng-dev (>= 1.2),
               libreadline-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libstroke0-dev,
               libx11-dev,
               libxcursor-dev,
               libxft-dev (>= 2.0.0),
               libxi-dev,
               libxpm-dev,
               libxrandr-dev (>= 2:1.5),
               libxrender-dev,
               libxt-dev,
               perl (>= 5.004),
               pkg-config (>= 0.9.0),
               python3,
               sed
Standards-Version: 4.1.4
Homepage: http://www.fvwm.org/

Package: fvwm3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         lxmenu-data | gnome-menus,
         python3, python3-xdg,
         libx11-protocol-perl, stalonetray
Conflicts: fvwm
Replaces: fvwm
Provides: x-window-manager
Description: F(?) Virtual Window Manager
 FVWM is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM requires relatively little memory.

## fvwm3 1.0.4+ds

=== debian/changelog ===
fvwm3 (1.0.4+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:43:55 +0200

fvwm3 (1.0.4+ds-1) unstable; urgency=low

  * New upstream release.
  * Update build depends. Move transitional packages to or depends.
  * Add Vcs-* links to the github repo for the Debian source package.
  * Remove libbson-dev from build depends (no longer needed).
  * Remove docbook information from debian/copyright.
  * Add Files-Excluded: bin/FvwmPrompt/vendor and change version to repack
    upstream source to remove bundled libraries bin/FvwmPrompt/vendor.
  * Remove authors link from debian/copyright and state the copyright
    belongs to fvwm-workers and list many of the authors.
  * Bump standards version to 4.6.0.1 (nothing to be done).
  * Remove invalid items from debian/upstream/metadata.

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Mon, 21 Mar 2022 22:44:00 -0700

fvwm3 (1.0.3-1) unstable; urgency=low

  * Initial package of fvwm3, the successor to fvwm2. Closes: #989261

 -- Jaimos Skriletz <jaimosskriletz@gmail.com>  Sun, 30 May 2021 09:55:00 -0700

=== debian/control ===
Source: fvwm3
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jaimos Skriletz <jaimosskriletz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 13.0.0),
               debhelper-compat (= 13),
               asciidoctor,
               file,
               fontconfig,
               gettext,
               libevent-dev,
               libfontconfig-dev | libfontconfig1-dev,
               libfreetype-dev | libfreetype6-dev,
               libfribidi-dev (>= 0.10.7),
               libncurses-dev | libncurses5-dev,
               libpng-dev,
               libreadline-dev | libreadline6-dev | libreadline5-dev,
               librsvg2-dev (>= 2.13.92),
               libsm-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config
Standards-Version: 4.6.0.1
Homepage: https://www.fvwm.org/
Vcs-Browser: https://github.com/somiaj/fvwm3-debian
Vcs-Git: https://github.com/somiaj/fvwm3-debian.git

Package: fvwm3
Architecture: any
Depends: libperl4-corelibs-perl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxmenu-data | gnome-menus,
            python3,
            python3-xdg
Suggests: stalonetray
Provides: x-window-manager
Description: F(?) Virtual Window Manager
 FVWM3 is a powerful ICCCM2 compliant multiple virtual desktop window manager
 for the X Window System. FVWM3 is the successor to FVWM 2.x, which was
 originally (a looooong time ago!) derived from TWM. FVWM3 is intended to have
 a small memory footprint but a rich feature set, be extremely customizable
 and extendible, and have a high degree of Motif MWM compatibility.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds// \
https://github.com/fvwmorg/fvwm3/releases \
 /fvwmorg/fvwm3/releases/download/\S+/fvwm3-(\d\S+)\.tar\.gz
